Subject: Re: Sherline/Sears micro lathe

From: [email-masked] (WRitt)
Date: 25 May 1995 19:11:19 -0400

I just priced a new Sherline lathe for $509 with the adjustable handwheels
includes shipping. I would be willing to pay $250 for yours if it is in
good condition and not too old. Please advise as to condition and age.

Bill Rittner
Manchester, CT